Bug 63781 - 500 error on /network/index.pxt
Summary: 500 error on /network/index.pxt
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-18 18:20 UTC by Matt Jamison
Modified: 2007-07-31 19:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-30 17:15:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Komenda 2002-04-18 18:20:33 UTC
Description of Problem: 500 error on /network/index.pxt


Version-Release number of selected component (if applicable):
rhn-satellite-config-1.1-11
rhns-satellite-tools-1.2.0-3
rhn-satellite-schema-0.9.2-15

How Reproducible: Log in to http://rhnproxy01.devel.redhat.com/ as joe_sat_1

Additional Information: 
Traceback: 

The following exception occured while executing this request:
 GET /network/index.pxt HTTP/1.0 (from browser)
 /network/index.pxt (from Apache)

Date:
  Thu Apr 18 08:58:56 2002

Headers:
  Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*
  Accept-Charset: iso-8859-1,*,utf-8
  Accept-Encoding: gzip
  Accept-Language: en
  Connection: Keep-Alive
  Cookie: pxt_session=10x509cc8ca7f96af5d04f757949293e697;
rh_auth_token=1:1019134249x8a50c3173ad5a1980f663dab93796693
  Host: rhnproxy01.devel.redhat.com
  Pragma: no-cache
  Referer: http://rhnproxy01.devel.redhat.com/network/errata/errata_list.pxt
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Form variables:


User Information:
  User joe_sat_1 (id 1, org_id 1)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  RHN::Exception: DBD::Oracle::db prepare failed: ORA-00904: invalid column name
(DBD ERROR: OCIStmtExecute/Describe) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 31.

  RHN::DB /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm 32
RHN::DB::objectify_error
  RHN::DB::User /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/User.pm 905
RHN::DB::prepare
  RHN::DB::User /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/User.pm 1106
RHN::DB::User::get_pref
  Sniglets::Users /usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Users.pm
258 RHN::DB::User::recent_errata_overview
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 119
Sniglets::Users::errata_summary
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 625
PXT::Parser::expand_tags
  PXT::Request /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm 460
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 451
PXT::Request::include
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 104
PXT::ApacheHandler::__ANON__
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 520
PXT::Parser::expand_tags
  PXT::Request /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm 460
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 451
PXT::Request::include
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 104
PXT::ApacheHandler::__ANON__
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 520
PXT::Parser::expand_tags
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)

Offending Query: SELECT show_applied_errata FROM rhnUserInfo WHERE user_id = ?

==============================
From the Satellite error logs:
==============================

Rolling back database handle. at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 276.
Execution of /var/www/html/network/index.pxt failed at Thu Apr 18 09:09:26 2002:
RHN::Exception: DBD::Oracle::db prepare failed: ORA-00904: invalid column name
(DBD ERROR: OCIStmtExecute/Describe) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 31.

===============================

Comment 1 Chip Turner 2002-04-20 05:07:04 UTC
fixed, another schema sync issue

Comment 2 Josef Komenda 2002-04-24 23:01:39 UTC
Reinstall of satellite shows problem return.

Comment 3 Chip Turner 2002-04-25 11:54:34 UTC
new schema rpm available, please rebuild satellite using it and see if it works

Comment 4 Josef Komenda 2002-05-01 18:57:22 UTC
Working now. Closing.


Note You need to log in before you can comment on or make changes to this bug.